#ifdef GL_ES
precision highp float;
#endif

varying lowp vec4 colorVarying;
varying vec2 texcoordVarying;
uniform sampler2D TextureSampler;
uniform vec4 color2;
void main (void)
{
    vec4 c = texture2D(TextureSampler, texcoordVarying);
    c.rgb += color2.rgb*c.a*color2.a;
	gl_FragColor = colorVarying*c;
}